Get supported currencies information
curl --request GET \
--url https://api.storiza.store/payments/currenciesconst options = {method: 'GET'};
fetch('https://api.storiza.store/payments/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/payments/currencies"
response = requests.get(url)
print(response.text){
"success": true,
"message": "Currencies information retrieved successfully",
"data": [
{
"id": "USD",
"symbol": "$",
"shortName": "US Dollar",
"fullName": "United States Dollar",
"nativeName": "United States Dollar",
"flagURL": "https://flagcdn.com/w80/us.png",
"conversionRate": "1",
"symbolAfter": false,
"decimalSeparator": ".",
"thousandsSeparator": ",",
"decimals": 2
}
]
}{
"success": false,
"type": "API",
"code": "INTERNAL_ERROR",
"error": "Internal server error"
}Payments
Get supported currencies information
Lists the supported currencies with their symbols, formatting rules and conversion rates. Supports the standard filtering query parameters.
No API key needed — this endpoint is public.
GET
/
payments
/
currencies
Get supported currencies information
curl --request GET \
--url https://api.storiza.store/payments/currenciesconst options = {method: 'GET'};
fetch('https://api.storiza.store/payments/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/payments/currencies"
response = requests.get(url)
print(response.text){
"success": true,
"message": "Currencies information retrieved successfully",
"data": [
{
"id": "USD",
"symbol": "$",
"shortName": "US Dollar",
"fullName": "United States Dollar",
"nativeName": "United States Dollar",
"flagURL": "https://flagcdn.com/w80/us.png",
"conversionRate": "1",
"symbolAfter": false,
"decimalSeparator": ".",
"thousandsSeparator": ",",
"decimals": 2
}
]
}{
"success": false,
"type": "API",
"code": "INTERNAL_ERROR",
"error": "Internal server error"
}Was this page helpful?